/* Global variables */
var popoutMenu=0;
var expandedCourses=0;

/* Functions */
$(document).ready(function(){
	$('#expandedCourses').hide();
	$('#popoutMenu').hide();
	$('#passwordChanger').hide();

	/* Check courses in expanded menu */
	$('li[class="expanded"]').click(function(){
		if($(this).hasClass('checkedCourse')){
			$(this).removeClass('checkedCourse');
		}
		else{
			$(this).addClass("checkedCourse");
		}
	});

	/* Blurs body and opens password changer */
	$('li[name="changePwd"]').click(function(e){
		e.stopPropagation();
		$('#popoutMenu').stop(false, false).slideUp(300);
		popoutMenu=0;
	    $('body *').not('#passwordChanger, #passwordChanger *').animate({
		opacity:0.4}, 400);
		$('#passwordChanger').fadeIn(300);
		$('#passwordChanger').css('z-index', 3000);
	});
	
	$('body').click(function(e){
		$('#formContainer').fadeOut(300);
		$('#passwordChanger').fadeOut(300);
		$('body *').animate({
		opacity:1}, 400);
		$('#changePassword')[0].reset();
	});
	
	$('#passwordChanger').click(function(e){
		e.stopPropagation();
	});
	
	$('#formContainer').click(function(e){
		e.stopPropagation();
	});
	
	$('#popoutLink').click(function(e){
		if(popoutMenu==0){
			$('#popoutMenu').stop(false, true).slideDown(300);
			popoutMenu=1;
			e.stopPropagation();
		// FIXA SÅ MENYN INTE KOMMER UPP IGEN
		}
		else if(popoutMenu==1){
			$('#popoutMenu').stop(false, false).slideUp(300);	
			popoutMenu=0;
			e.stopPropagation();
		}
	});
	
	$('#loginLink').click(function(e){
		var target = $('#formContainer');
		if(target.is(":hidden")){
			target.fadeIn(300);
			$('#username').focus();
			e.stopPropagation();
		}
		else{
			target.fadeOut(300);
		}
		
	});
});

window.onkeyup = function(event){
	if(event.keyCode==27){
		$('#formContainer').fadeOut(300);
		$('#passwordChanger').fadeOut(300);
		$('body *').animate({
		opacity:1}, 400);
		$('#changePassword')[0].reset();
	}
}

/* Closing password changer and reactivates body */
function cancelPasswordChange(){
	$('#passwordChanger').fadeOut(300);
	$('body *').animate({
	opacity:1}, 400);
	$('#changePassword')[0].reset();
}


/* Expand/Collapse courses in popout menu */
function expandCourses(){
	if(expandedCourses==0){
	$('#expandedCourses').stop(false, true).slideDown(300);
	expandedCourses=1;
	}
	else if(expandedCourses==1){
		$('#expandedCourses').stop(false, false).slideUp(300);	
		expandedCourses=0;
	}
}

